<div class="login-box">
    <div class="login-logo">
        <div><img src="assets/img/logo.png" alt="Logo"/></div>
    </div>
    <div class="card">
        <div class="card-body login-card-body">
            <div class="alert alert-danger" *ngIf="formError">
                <strong>{{ formError }}</strong>
            </div>
            <div class="alert alert-success" *ngIf="successMessage$ | async">
                <strong>{{ successMessage$ | async }}</strong>
            </div>
            <p class="login-box-msg">
                {{ 'Enter your new password' | translate }}
            </p>
            <form [formGroup]="form" (ngSubmit)="onSubmit()">
                <div class="form-group">
                    <input id="email" type="email" class="form-control" formControlName="email" autofocus
                        [placeholder]="'E-mail' | translate"
                        [class.is-invalid]="submitted && ((errors.email && errors.email.length) || email.invalid)">
                    <span class="invalid-feedback" role="alert" *ngIf="errors.email || email.invalid">
                        <strong *ngIf="email.errors && email.errors.required">{{ 'Fill this field' | translate }}</strong>
                        <strong *ngIf="email.errors && email.errors.email">{{ 'Enter a valid email' | translate }}</strong>
                        <strong *ngFor="let msg of errors.email">{{ msg }}</strong>
                    </span>
                </div>
                <div class="form-group">
                    <input id="password" type="password" class="form-control" formControlName="password"
                        [placeholder]="'Password' | translate"
                        [class.is-invalid]="submitted && ((errors.password && errors.password.length) || password.invalid)">
                    <span class="invalid-feedback" role="alert" *ngIf="errors.password || password.invalid">
                        <strong *ngIf="password.errors && password.errors.required">{{ 'Fill this field' | translate }}</strong>
                        <strong *ngFor="let msg of errors.password">{{ msg }}</strong>
                    </span>
                </div>
                <div class="row">
                    <div class="col-12">
                        <button type="submit" class="btn btn-primary btn-block">{{ 'Update password' | translate }}</button>
                    </div>
                </div>
            </form>
            <p class="mt-3 mb-1">
                <a routerLink="/login">{{ 'Login' | translate }}</a>
            </p>
            <div class="text-center mt-3">
                Copyright © Naba Software 2021
            </div>
        </div>
        <ngx-loading [show]="loading$ | async" [config]="loader.config"></ngx-loading>
    </div>
</div>
